Bug 990795 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 00000000000002d0
[abrt] BUG: unable to handle kernel NULL pointer dereference at 00000000000002d0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:aefa8fec81b646acde6d88fde07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 23:21 EDT by Neil
Modified: 2013-10-08 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:34:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (40.47 KB, text/plain)
2013-07-31 23:21 EDT, Neil
no flags Details

  None (edit)
Description Neil 2013-07-31 23:21:43 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at 00000000000002d0
IP: [<ffffffffa008f7c9>] qxl_release_unreserve+0x9/0x40 [qxl]
PGD 117271067 PUD 117270067 PMD 0 
Oops: 0002 [#1] SMP 
Modules linked in: lp parport nls_utf8 isofs fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth rfkill nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_intel snd_hda_codec snd_hwdep snd_seq joydev snd_seq_device snd_pcm kvm_intel kvm virtio_net i2c_piix4 virtio_balloon snd_page_alloc snd_timer snd soundcore microcode uinput qxl drm_kms_helper ttm drm i2c_core virtio_blk
CPU: 1 PID: 478 Comm: Xorg Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
task: ffff88011559d3e0 ti: ffff88011900a000 task.ti: ffff88011900a000
RIP: 0010:[<ffffffffa008f7c9>]  [<ffffffffa008f7c9>] qxl_release_unreserve+0x9/0x40 [qxl]
RSP: 0018:ffff88011900bd00  EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff880115d7e000 RCX: 0000000000000000
RDX: 000000000000c060 RSI: ffff8800369ab000 RDI: ffff880115d7e000
RBP: ffff88011900bd30 R08: 0000000000000010 R09: ffff88009dc23630
R10: ffffffffa008f4ef R11: ffff88011900be10 R12: ffff880115ff6800
R13: 0000000000000268 R14: 00000000000001e9 R15: ffff880115ff6818
FS:  00007f0f01b95980(0000) GS:ffff88011fd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000002d0 CR3: 000000011557a000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffffffffa0088102 ffff8800369ab000 ffff88011900bd8c ffff880115ff6840
 ffff880115f5be00 ffff880115ff6800 ffff88011900bd78 ffffffffa0029d4a
 ffff88011900bd58 ffffffffa008bb96 ffff8801159f0000 ffff880115f5be00
Call Trace:
 [<ffffffffa0088102>] ? qxl_crtc_cursor_move+0xb2/0xd0 [qxl]
 [<ffffffffa0029d4a>] drm_mode_cursor_common+0x9a/0x170 [drm]
 [<ffffffffa008bb96>] ? qxl_gem_object_free+0x26/0x30 [qxl]
 [<ffffffffa002da01>] drm_mode_cursor_ioctl+0x41/0x50 [drm]
 [<ffffffffa001e2c2>] drm_ioctl+0x532/0x670 [drm]
 [<ffffffff8115eeb5>] ? do_mmap_pgoff+0x305/0x3c0
 [<ffffffff811a9435>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128aa8e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811a96d1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
Code: 00 4c 89 e2 48 c7 c6 07 1d 09 a0 48 8b 80 48 03 00 00 48 8b 38 31 c0 e8 d6 83 34 e1 44 89 eb eb a6 90 0f 1f 44 00 00 48 8b 46 18 <f0> ff 88 d0 02 00 00 0f 94 c2 84 d2 75 09 c3 0f 1f 84 00 00 00 
RIP  [<ffffffffa008f7c9>] qxl_release_unreserve+0x9/0x40 [qxl]
 RSP <ffff88011900bd00>
CR2: 00000000000002d0
Comment 1 Neil 2013-07-31 23:21:49 EDT
Created attachment 781421 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:45:07 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:34:34 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.